Page MenuHomeFreeBSD

[new port] biology/py-cutadapt: Finds and removes adapter sequences, primers, poly-A tails, etc
ClosedPublic

Authored by jwb on Nov 29 2017, 4:52 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 23, 7:46 AM
Unknown Object (File)
Jan 14 2024, 5:41 PM
Unknown Object (File)
Dec 23 2023, 12:16 AM
Unknown Object (File)
Dec 2 2023, 8:43 AM
Unknown Object (File)
Dec 2 2023, 8:43 AM
Unknown Object (File)
Dec 2 2023, 8:43 AM
Unknown Object (File)
Dec 2 2023, 8:43 AM
Unknown Object (File)
Nov 30 2023, 3:48 PM
Subscribers

Details

Summary

[new port] biology/py-cutadapt: Finds and removes adapter sequences, primers, po
ly-A tails, etc
Approved by: jrm (mentor) or wen (mentor)
Differential will be added to commit message

Test Plan

portlint -A: looks fine
Passed poudriere on {10.4,11.1}-{amd64,i386}
Tested in production by researchers.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 13167
Build 13413: arc lint + arc unit

Event Timeline

biology/py-cutadapt/Makefile
7

@mat has always asked me to ensure there is a tab after all = when setting Make variables. I'm not sure why? Maybe there are automated tools that parse the files. @mat?

biology/py-cutadapt/pkg-descr
2

Should this say "..unwanted sequences.."?

The MASTER_SITE_SUBDIR def was generated by "port create", so if indeed there is a reason to have a tab in every def, we should probably submit a ports-mgmt/porttools PR. I just ran it again and the latest version did not add MASTER_SITE_SUBDIR, but there may be other cases where it inserts defs without a tab.

I generally omit tabs for very long variable names. I'll await @mat's reply before I change my habit.

Cosmetic fixes per mentor suggestions

Meh, I don't think it's worth a delay. There are many examples in the tree without the TAB. If @mat chimes in, it can always be updated without PORTREVISION bump.

This revision is now accepted and ready to land.Nov 29 2017, 9:53 PM

Already changed the *port*. I'll change my *habit* if @mat offers a good reason. Thanks..

This revision was automatically updated to reflect the committed changes.
head/biology/py-cutadapt/Makefile
6–7 ↗(On Diff #35985)

1-

Never use MASTER_SITE_SUBDIR, this must be written as:

​MASTER_SITES=        CHEESESHOP/source/c/cutadapt

2-

The framework already sets the correct subdirectory, so no need to write it yourself, so this is enough:

​MASTER_SITES=        CHEESESHOP